## Index

### Interfaces

- IOptions

### Variables

- info
- optionDefinitions
- sections

### Object literals

- DEFAULT_OPTIONS

## Variables

### Const info

info: any = require("../../package.json")

- Defined in src/cli/options.ts:5

### Const optionDefinitions

optionDefinitions: (object | object | object)[] = [{description: "The input to process.",name: "verbose",type: Boolean,},{alias: "v",description: "Display the server version",name: "version",type: Boolean,},{alias: "p",defaultValue: DEFAULT_OPTIONS.port,description: "Port on which the server should be started (defaults to 3141)",name: "port",type: Number,typeLabel: "{underline 3141}",},{alias: "h",description: "Print this guide",name: "help",type: Boolean,},]

- Defined in src/cli/options.ts:23

### Const sections

sections: (object | object)[] = [{header: `${info.name} v${info.version}`,content: info.description,},{header: "Options",optionList: optionDefinitions,},{header: "Synopsis",content: [`$ ${info.name} {bold --games} {underline 100}`,`$ ${info.name} {bold --port} {underline 5000}`,`$ ${info.name} {bold --help}`,],},]

- Defined in src/cli/options.ts:51

## Object literals

### Const DEFAULT_OPTIONS

DEFAULT_OPTIONS: object

- Defined in src/cli/options.ts:19

### port

port: number = parseInt(process.env.PORT, 10) || 3141

- Defined in src/cli/options.ts:20

Generated using TypeDoc